<?php 
//require_once 'conf/link.php';
//sleep(1);
//if((isset($_POST['query'])) or (isset($_GET['query'])))
//{
	//$query = (isset($_POST['query'])) ? $_POST['query'] : $_GET['query'];
	//$player_name = (isset($_POST['player_name'])) ? $_POST['player_name'] : $_GET['player_name'];
	//$data_player($_GET['player_name'], $conexion);
	//echo "<br>".$_POST['query'];
	//echo "<br>".$_POST['player_name'];
	//$lst_assoc =(isset($_POST['lst_assoc'])) ? $_POST['lst_assoc'] : $_GET['lst_assoc'];
	
	//echo "<br>vars query : ".$query." player_name : ".$player_name;
	
	//update_files($lst_assoc, $conexion);
	
function update_files($lst_assoc, $conexion)
{
	
	$almacen = "almacen/";
	
	
	// Buscamos los videos que tiene la lista asociada	
	$sql_lista = 'SELECT videos_id FROM listas WHERE nombre_lista = "'.$lst_assoc.'"';
	$result_lista = mysqli_query($conexion, $sql_lista);
	while($row_lista = mysqli_fetch_array($result_lista))
	{
		$str_aux = $row_lista['videos_id'];
	}
	$media = json_decode($str_aux, true);
	print_r($media);
	echo "<br><br>";
	// $media : contiene los nombres de archivo que hay que copiar en los players
	
	
	// Buscamos los players que usan la lista asociada
	$sql_players = 'SELECT player_name FROM players WHERE lst_assoc = "'.$lst_assoc.'"';
	
    if ($result_players = mysqli_query($conexion, $sql_players))
	{
		while($row = mysqli_fetch_array($result_players))
		{
			$player_name = $row['player_name'];
			$path = "Players/".$player_name."/";
			echo "<br>".$path;//$path = "Players/".$player_name."/";
			
			//Listamos y borramos archivos antiguos
			$files = glob('Players/'.$player_name.'/*');//obtenemos todos los nombres de los ficheros
			/*
			echo "<br>Files<br>";
			print_r($files);
			echo "<br>Files<br>";
			*/
			foreach($files as $file)
			{
				if(is_file($file))
				unlink($file); //elimino el fichero
			}
			
			$error_copy = false;
			foreach($media as $value)
			{
				echo "<br>".$value['filename'];
				if(copy($almacen.$value['filename'], $path.$value['filename']))
				{
					echo "<br>".$almacen.$value['filename']."==>".$path.$value['filename']." ==>Copiado";
				}
				else
				{
					$error_copy = true;
					echo "<br>".$almacen.$value['filename']."==>".$path.$value['filename']." ==>Error, no se ppudo copiar.";
				}
			}
			if($error_copy)
			{
				"Hubo un error en la copia de archivos. No se actualizara la base de datos.";
			}
			else
			{
				//$sql_update  = "UPDATE players SET lst_assoc='".$lst_assoc."', res_x='".$res_x."', res_y='".$res_y."', x0='".$x0."', y0='".$y0."', hour_start='".$hora_inicio."', min_start='".$min_inicio."', hour_end='".$hora_fin."', min_end='".$min_fin."' WHERE player_name='".$player_name."'";
				//echo "<br>update : ".$sql_update;
				//if($result_update = mysqli_query($conexion, $sql_update))
				//{
					
					$media = get_playlist_json($lst_assoc, $conexion);
					
					
					if(gen_xml($media, $player_name, $lst_assoc))
					{
						echo "Exito Update";
					}
					else
					{
						echo "Error Update Lista vacia";
					}
					
				/*}
				else
				{
					echo "Error Update Lista vacia";
				}*/
			}
		}
    }
	else
	{
        echo 'Error al consultar lista de Players : SQL';
		
    }
}
